#
# spec file for package golang-google-golangorg-appengine
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-google-golangorg-appengine
Version:        0.0.0+git20150702.e335b53
Release:        2.2
Summary:        Go App Engine for Managed VMs
License:        Apache-2.0
Group:          Development/Languages/Other
Url:            https://github.com/golang/appengine
Source:         appengine-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  golang-packaging
BuildRequires:	golang(golang.org/x/net)
BuildRequires:	golang(github.com/golang/protobuf)
BuildRequires:	xz
%{go_provides}

%description
This package supports the Go runtime for Managed VMs on App Engine. 
It provides APIs for interacting with App Engine services.

%gosrc_package

%prep
%setup -q -n appengine-%{version}

%build
%goprep google.golang.org/appengine
%gobuild ...

%install
%goinstall
%gosrc

# remove demos
rm -rf %{buildroot}%{_bindir}/{helloworld,guestbook}

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{_bindir}/aebundler
%{_bindir}/aedeploy
%{go_contribdir}/*

%files source
%defattr(-,root,root,-)
%{go_contribsrcdir}/*

%changelog
* Sun Jul 12 2015 i@marguerite.su
- initial version 0.0.0+git20150702.e335b53
